@import "template-settings";

@media only screen and (max-width: $template-width) {

  #container{
    width:100%
  }
  
}

@media only screen and (max-width: $breakpoint-mobile) {

  .pip-login .pip-login-block,
  #loginwrap .input_medium,
  .spot-enlighter-wrapper input[type=text],
  #container,
  #main,
  .pip-content{
    width:100%;
  }

  #container,
  #main{
    border:none;
  }

  #main{
      padding:$mobile-content-padding;
      box-sizing:border-box;
  }

  input[type=text],
  input[type=password],
  input[type=email],
  input[type=url],
  input[type=number],
  textarea,
  select:focus{
    font-size:16px;
  }

  .row .column,
  .row .columns {
    position: relative;
    padding-left: 0em;
    padding-right: 0em;
    width: 100% !important;
    float: left;
  }

  .row .row{
    margin-left:0;
    margin-right:0;
  }

  .column > label{
    font-weight: bold;
    margin-bottom:5px;
    display: inline-block;
  }

  $columns:12;

  @for $i from 1 through $columns {
    .row .large-offset-#{$i} { margin:0 !important; }
  }

  .kenmerk-veld > .column{
    &.large-4{
      padding-bottom:0;
    }
    &.large-8{
      padding-top:0;
    }
  }

  .block-header h1.header-title,
  .block-header h1 {
    padding-right:0;
  }

  label.titel,
  .form label.titel{
    margin-bottom:0px;
  }

  .form-navigation .stap{
      border-bottom-width:1px;
      background-image:none !important;
      display: block;
      margin-right:3px;
  }

  .block .block-header .header-actions .button-secondary .button-text{
    display: none;
  }

  .header h1.header-title{
    width:100%;
    @include box-sizing(border-box);
    padding-right:35px;
    text-overflow:ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }

  .webform .block-header h1.header-title{
    padding-right:68px;
  }

  .block .block-header .header-actions.right{
    float:none;
    position: absolute;
    right:10px;
    flex-shrink: 0;
  }

  .block .block-header .header-actions .button-secondary i{
    margin:0;
  }

  .subnote{
    padding-bottom:20px;
    margin-bottom:0px;
    br{
      display: none;
    }
  }

  .pip-login .pip-login-block.pip-login-block-left{
    margin:0 0 15px;
  }

  .pip-nav{
    padding:0;
  }

  .wym_skin_default .wym_buttons li.wym_tools_enlarge{
    display: none;
  }

  .dropdown{
    max-width:280px;
  }

  .field-help{
    left:0;
    padding:0;
  }

  .qmatic-modal .modal-body{
    width:100%;
    top:0;
    bottom:0;
    height:100%;
  }

  .modal-content{
    position: absolute;
    top:57px;
    left:0;
    right:0;
    bottom:0;
  }

  .qmatic-modal-list-time{
    border:none;
    padding:0;
  }

  .spinner-groot > div > span.spinner-groot-message{
    width:100%;
  }

  .pip td.field_days_left,
  .pip-overview-case-date-wrap,
  .pip-overview-case-finish-button-text{
    display: none;
  }

  .pip-overview-case-finish-button-text-2{
    text-transform: capitalize;
  }

  .pip-nav-menu{ 
    display: none; 
    opacity: 0; 
    width: 100%; 
  }

  .pip-nav-menu > li { 
    display: block; 
    width: 100%; 
    margin: 0; 
  }

  .pip-nav-menu > li > a {
   display: block;
   width: 100%;
   text-decoration: none;
   @include box-sizing(border-box);
  }

  .toggle-pip-nav { 
    display: block; 
    position: relative; 
    cursor: pointer; 
    -webkit-touch-callout: none; 
    -webkit-user-select: none; 
    user-select: none;
    color:$toggle-pip-nav-color;
    padding:.7em 1em;
    vertical-align: middle;
    i{
      margin-right:5px;
      font-size:1.6em;
      vertical-align: middle;
    }
  }

  .toggle-pip-nav-text{
    display: inline-block;
    vertical-align: middle;
    font-size:1.2em;
  }

  #toggle:checked + div .pip-nav-menu{ 
    display: block; 
    opacity: 1;
  }

  #toggle:checked + div label{ 
    background:$pip-mobile-nav-bg-color-toggled;
  }

  #toggle:checked + div label .mdi:before{
    content: "\F156";
  }

  .pip-case-form-phase-title-meta{
    float:none;
    margin-left:5px;
    @include opacity(.6);
    display: inline-block;
    vertical-align: middle;
  }

  .field-can-edit{
    padding:0;
  }

  .field-has-required-permissions{
    position: static;
  }

  .attribute-change .attribute-change-edit-button{
    position: static;
    margin-top:10px;
  }

  .mobile-hide{
    display: none;
  }

  .woz-objects{
    margin-bottom:10px;
  }

  .woz{
    .woz-taxatierapport-label,
    .woz-taxatierapport-text-smal,
    .woz-taxatierapport-text{
      width:100%;
    }
    .woz-taxatierapport-text-smal strong{
      font-weight: normal;
    }
    .woz-taxatierapport-label{
      margin-bottom:5px;
    }
    .woz-taxatierapport-text-border{
      border-bottom:1px solid #ddd;
      padding-bottom:.8em;
      margin-bottom:.8em;
    }
    .woz-info{
      padding:0;
    }
    .woz-photo{
      position: static;
      margin:20px 0;
      max-width:100%;
      min-width:100%;
      width:auto !important;
    }
  }

  .pip-login .pip-login-block{
    padding:20px;
  }

  .dropdown-content.dropdown-content-overflow{
    max-width:250px;
  }

  .mintloader span.slepen{
    display: none;
  }

  .mintloader .button{
    margin-bottom:3px;
  }

  .pip-case-document-state{
    position: static;
    margin-top:auto;
  }

  @if $template-type == open {

    #main{
      padding:0;
    }

    .block-header-inner,
    .pip-nav-menu{
      padding:0 !important;
    }

      header,
      .block-header-inner,
      .block-content{
          width:100%;
          margin:auto;
      }


  }

  @if $template-basic == true {

    #main{
      padding:0;
    }

    .block-content,
    .pip-content{
        padding:$mobile-content-padding;
    }

  }

}

@media only screen and (max-width: 768px) {
  .form * select{
    width:100%;
  }
}